diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/tx-duration-test.cc ns-3.44/src/wifi/test/tx-duration-test.cc
--- ns-3.43/src/wifi/test/tx-duration-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/tx-duration-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -943,433 +943,433 @@
     retval = retval &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(1485600)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(125600)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(71200)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(764800)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(84800)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(397600)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(71200)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(220800)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(1570400)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(130400)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(72800)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(807200)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(87200)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(418400)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(72800)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(231200)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(1740)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(140)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(76)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(892)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(92)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(460)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(76)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs0(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(252)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs0(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs0(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(139200)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(98400)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(71200)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(800),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(57600)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(144800)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(101600)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(72800)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(1600),
                              WIFI_PREAMBLE_HE_SU,
                              NanoSeconds(58400)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(156)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             20,
+                             MHz_u{20},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(108)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             40,
+                             MHz_u{40},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(76)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             80,
+                             MHz_u{80},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(1536,
                              HePhy::GetHeMcs11(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(76,
                              HePhy::GetHeMcs11(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60)) &&
              CheckTxDuration(14,
                              HePhy::GetHeMcs11(),
-                             160,
+                             MHz_u{160},
                              NanoSeconds(3200),
                              WIFI_PREAMBLE_HE_SU,
                              MicroSeconds(60));
@@ -1382,7 +1382,7 @@
                  std::list<uint32_t>{1536, 1536},
                  std::list<HeMuUserInfo>{{{HeRu::RU_242_TONE, 1, true}, 0, 1},
                                          {{HeRu::RU_242_TONE, 2, true}, 0, 1}},
-                 40,
+                 MHz_u{40},
                  NanoSeconds(800),
                  WIFI_PREAMBLE_HE_MU,
                  NanoSeconds(
@@ -1390,14 +1390,14 @@
              && CheckMuTxDuration(std::list<uint32_t>{1536, 1536},
                                   std::list<HeMuUserInfo>{{{HeRu::RU_242_TONE, 1, true}, 1, 1},
                                                           {{HeRu::RU_242_TONE, 2, true}, 0, 1}},
-                                  40,
+                                  MHz_u{40},
                                   NanoSeconds(800),
                                   WIFI_PREAMBLE_HE_MU,
                                   NanoSeconds(1493600)) // shouldn't change if first PSDU is shorter
              && CheckMuTxDuration(std::list<uint32_t>{1536, 76},
                                   std::list<HeMuUserInfo>{{{HeRu::RU_242_TONE, 1, true}, 0, 1},
                                                           {{HeRu::RU_242_TONE, 2, true}, 0, 1}},
-                                  40,
+                                  MHz_u{40},
                                   NanoSeconds(800),
                                   WIFI_PREAMBLE_HE_MU,
                                   NanoSeconds(1493600));
@@ -1409,21 +1409,21 @@
              CheckMuTxDuration(std::list<uint32_t>{1536, 1536},
                                std::list<HeMuUserInfo>{{{HeRu::RU_242_TONE, 1, true}, 0, 1},
                                                        {{HeRu::RU_242_TONE, 2, true}, 0, 1}},
-                               40,
+                               MHz_u{40},
                                NanoSeconds(800),
                                WIFI_PREAMBLE_EHT_MU,
                                NanoSeconds(1493600)) // equivalent to 802.11ax MU
              && CheckMuTxDuration(std::list<uint32_t>{1536, 1536},
                                   std::list<HeMuUserInfo>{{{HeRu::RU_242_TONE, 1, true}, 1, 1},
                                                           {{HeRu::RU_242_TONE, 2, true}, 0, 1}},
-                                  40,
+                                  MHz_u{40},
                                   NanoSeconds(800),
                                   WIFI_PREAMBLE_EHT_MU,
                                   NanoSeconds(1493600)) // shouldn't change if first PSDU is shorter
              && CheckMuTxDuration(std::list<uint32_t>{1536, 76},
                                   std::list<HeMuUserInfo>{{{HeRu::RU_242_TONE, 1, true}, 0, 1},
                                                           {{HeRu::RU_242_TONE, 2, true}, 0, 1}},
-                                  40,
+                                  MHz_u{40},
                                   NanoSeconds(800),
                                   WIFI_PREAMBLE_EHT_MU,
                                   NanoSeconds(1493600));
@@ -1434,10 +1434,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief HE-SIG-B duration test
+ * @brief HE-SIG-B duration test
  */
 class HeSigBDurationTest : public TestCase
 {
@@ -1454,13 +1454,13 @@
     /**
      * Constructor
      *
-     * \param userInfos the HE MU specific per-user information to use for the test
-     * \param sigBMode the mode to transmit HE-SIG-B for the test
-     * \param channelWidth the channel width to select for the test
-     * \param expectedMuType the expected MU type (OFDMA or MU-MIMO)
-     * \param expectedRuAllocation the expected RU_ALLOCATION
-     * \param expectedNumUsersPerCc the expected number of users per content channel
-     * \param expectedSigBDuration the expected duration of the HE-SIG-B header
+     * @param userInfos the HE MU specific per-user information to use for the test
+     * @param sigBMode the mode to transmit HE-SIG-B for the test
+     * @param channelWidth the channel width to select for the test
+     * @param expectedMuType the expected MU type (OFDMA or MU-MIMO)
+     * @param expectedRuAllocation the expected RU_ALLOCATION
+     * @param expectedNumUsersPerCc the expected number of users per content channel
+     * @param expectedSigBDuration the expected duration of the HE-SIG-B header
      */
     HeSigBDurationTest(const std::list<HeMuUserInfo>& userInfos,
                        const WifiMode& sigBMode,
@@ -1476,7 +1476,7 @@
     /**
      * Build a TXVECTOR for HE MU.
      *
-     * \return the configured HE MU TXVECTOR
+     * @return the configured HE MU TXVECTOR
      */
     WifiTxVector BuildTxVector() const;
 
@@ -1573,10 +1573,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief PHY header sections consistency test
+ * @brief PHY header sections consistency test
  */
 class PhyHeaderSectionsTest : public TestCase
 {
@@ -1652,7 +1652,7 @@
 void
 PhyHeaderSectionsTest::DoRun()
 {
-    Time ppduStart = Seconds(1.0);
+    Time ppduStart = Seconds(1);
     Ptr<PhyEntity> phyEntity;
     PhyEntity::PhyHeaderSections sections;
     WifiTxVector txVector;
@@ -1662,7 +1662,7 @@
     // 11b (HR/DSSS)
     phyEntity = Create<DsssPhy>();
     txVector.SetMode(DsssPhy::GetDsssRate1Mbps());
-    txVector.SetChannelWidth(22);
+    txVector.SetChannelWidth(MHz_u{22});
 
     // -> long PPDU format
     txVector.SetPreambleType(WIFI_PREAMBLE_LONG);
@@ -1704,7 +1704,7 @@
     {
         phyEntity = Create<OfdmPhy>(variant.first);
         std::size_t ratio = variant.second;
-        MHz_u bw = 20 / ratio;
+        const auto bw = MHz_u{20} / ratio;
         txVector.SetChannelWidth(bw);
         txVector.SetMode(OfdmPhy::GetOfdmRate(12000000 / ratio, bw));
         nonHtMode = OfdmPhy::GetOfdmRate(6000000 / ratio, bw);
@@ -1721,7 +1721,7 @@
     // ==================================================================================
     // 11g (ERP-OFDM)
     phyEntity = Create<ErpOfdmPhy>();
-    txVector.SetChannelWidth(20);
+    txVector.SetChannelWidth(MHz_u{20});
     txVector.SetMode(ErpOfdmPhy::GetErpOfdmRate(54000000));
     nonHtMode = ErpOfdmPhy::GetErpOfdmRate6Mbps();
     sections = {
@@ -1734,7 +1734,7 @@
     // ==================================================================================
     // 11n (HT)
     phyEntity = Create<HtPhy>(4);
-    txVector.SetChannelWidth(20);
+    txVector.SetChannelWidth(MHz_u{20});
     txVector.SetMode(HtPhy::GetHtMcs6());
     nonHtMode = OfdmPhy::GetOfdmRate6Mbps();
     WifiMode htSigMode = nonHtMode;
@@ -1754,7 +1754,7 @@
           htSigMode}},
     };
     CheckPhyHeaderSections(phyEntity->GetPhyHeaderSections(txVector, ppduStart), sections);
-    txVector.SetChannelWidth(20); // shouldn't have any impact
+    txVector.SetChannelWidth(MHz_u{20}); // shouldn't have any impact
     CheckPhyHeaderSections(phyEntity->GetPhyHeaderSections(txVector, ppduStart), sections);
 
     // -> HT-mixed format for 3 SS and 1 ESS
@@ -1769,7 +1769,7 @@
     // ==================================================================================
     // 11ac (VHT)
     phyEntity = Create<VhtPhy>();
-    txVector.SetChannelWidth(20);
+    txVector.SetChannelWidth(MHz_u{20});
     txVector.SetNess(0);
     txVector.SetMode(VhtPhy::GetVhtMcs7());
     WifiMode sigAMode = nonHtMode;
@@ -1806,13 +1806,13 @@
     sections[WIFI_PPDU_FIELD_SIG_B] = {{ppduStart + MicroSeconds(48), ppduStart + MicroSeconds(52)},
                                        sigBMode};
     CheckPhyHeaderSections(phyEntity->GetPhyHeaderSections(txVector, ppduStart), sections);
-    txVector.SetChannelWidth(80); // shouldn't have any impact
+    txVector.SetChannelWidth(MHz_u{80}); // shouldn't have any impact
     CheckPhyHeaderSections(phyEntity->GetPhyHeaderSections(txVector, ppduStart), sections);
 
     // ==================================================================================
     // 11ax (HE)
     phyEntity = Create<HePhy>();
-    txVector.SetChannelWidth(20);
+    txVector.SetChannelWidth(MHz_u{20});
     txVector.SetNss(2); // HE-LTF duration assumed to be always 8 us for the time being (see note in
                         // HePhy::GetTrainingDuration)
     txVector.SetMode(HePhy::GetHeMcs9());
@@ -1874,7 +1874,7 @@
          ppduStart + MicroSeconds(56)}, // 1 HE-STF (@ 4 us) + 2 HE-LTFs (@ 8 us)
         sigBMode};
     CheckPhyHeaderSections(phyEntity->GetPhyHeaderSections(txVector, ppduStart), sections);
-    txVector.SetChannelWidth(160); // shouldn't have any impact
+    txVector.SetChannelWidth(MHz_u{160}); // shouldn't have any impact
     txVector.SetRuAllocation({96, 113, 113, 113, 113, 113, 113, 113}, 0);
 
     CheckPhyHeaderSections(phyEntity->GetPhyHeaderSections(txVector, ppduStart), sections);
